Agents
Update Agent
Updates an agent in the system
PATCH
/
api
/
v1
/
agents
/
{id}
/
cURL
curl --request PATCH \
--url https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/agents/{id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"systemPrompt": "<string>",
"firstMessage": "<string>",
"icebreakers": "<unknown>",
"llmModel": "<string>"
}
'import requests
url = "https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/agents/{id}/"
payload = {
"name": "<string>",
"description": "<string>",
"systemPrompt": "<string>",
"firstMessage": "<string>",
"icebreakers": "<unknown>",
"llmModel": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
systemPrompt: '<string>',
firstMessage: '<string>',
icebreakers: '<unknown>',
llmModel: '<string>'
})
};
fetch('https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/agents/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"systemPrompt": "<string>",
"firstMessage": "<string>",
"profilePicture": "<string>",
"tools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"apiSchema": "<unknown>",
"creditCost": 123,
"active": true
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"file": "<string>",
"status": "<string>"
}
],
"memoryKeys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"type": "<string>",
"initialValue": "<string>",
"whenToUpdate": "<string>"
}
],
"wakeUpConfigs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"forceMessage": true,
"enabled": true
}
],
"outboundTriggers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"templateId": "<string>",
"templateName": "<string>",
"secret": "<string>",
"enabled": true
}
],
"websiteTools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"prompt": "<string>",
"active": true
}
],
"imageGenerateTools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"creditCost": 123,
"name": "<string>",
"description": "<string>",
"active": true
}
],
"handoffTools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childAgentName": "<string>",
"description": "<string>",
"active": true
}
],
"mcpConfigs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectorName": "<string>",
"toolWhitelist": "<unknown>"
}
],
"paywallConfig": "<string>",
"adConfig": "<string>",
"creditSettings": "<string>",
"voiceCallConfig": "<string>",
"owner": "<string>",
"sharings": "<string>",
"phoneNumbers": [
{
"whatsappPhoneNumberId": "<string>",
"whatsappBusinessAccountId": "<string>",
"wabaId": "<string>",
"phoneNumber": "<string>"
}
],
"totalMessages": "<string>",
"totalSessions": "<string>",
"connectUrl": "<string>",
"ownerActive": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"icebreakers": "<unknown>",
"llmModel": "<string>"
}Authorizations
API key authentication. Pass your API key in the X-API-Key header.
Path Parameters
Body
application/json
Response
200 - application/json
Maximum string length:
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
